<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>RootProperty (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RootProperty (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/RootProperty.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/property/PropertyTable.html"
               title="class in org.apache.poi.poifs.property"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/property/RootProperty.html" target="_top">Frames</a>
        </li>
        <li><a href="RootProperty.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>
                <a href="#nested.classes.inherited.from.class.org.apache.poi.poifs.property.DirectoryProperty">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.poifs.property.Property">Field</a>&nbsp;|&nbsp;
            </li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.poifs.property</div>
    <h2 title="Class RootProperty" class="title">Class RootProperty</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/poifs/property/Property.html"
                       title="class in org.apache.poi.poifs.property">org.apache.poi.poifs.property.Property</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/poifs/property/DirectoryProperty.html"
                               title="class in org.apache.poi.poifs.property">org.apache.poi.poifs.property.DirectoryProperty</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.poifs.property.RootProperty</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/poifs/property/Property.html"
                                                 title="class in org.apache.poi.poifs.property">Property</a>&gt;, <a
                            href="../../../../../org/apache/poi/poifs/dev/POIFSViewable.html"
                            title="interface in org.apache.poi.poifs.dev">POIFSViewable</a>, <a
                            href="../../../../../org/apache/poi/poifs/property/Child.html"
                            title="interface in org.apache.poi.poifs.property">Child</a>, <a
                            href="../../../../../org/apache/poi/poifs/property/Parent.html"
                            title="interface in org.apache.poi.poifs.property">Parent</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">RootProperty</span>
extends <a href="../../../../../org/apache/poi/poifs/property/DirectoryProperty.html"
           title="class in org.apache.poi.poifs.property">DirectoryProperty</a></pre>
                <div class="block">Root property</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.poifs.property.DirectoryProperty">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.poifs.property.<a
                                        href="../../../../../org/apache/poi/poifs/property/DirectoryProperty.html"
                                        title="class in org.apache.poi.poifs.property">DirectoryProperty</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/poifs/property/DirectoryProperty.PropertyComparator.html"
                                        title="class in org.apache.poi.poifs.property">DirectoryProperty.PropertyComparator</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.poifs.property.Property">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.poifs.property.<a
                                        href="../../../../../org/apache/poi/poifs/property/Property.html"
                                        title="class in org.apache.poi.poifs.property">Property</a></h3>
                                <code><a href="../../../../../org/apache/poi/poifs/property/Property.html#Z:Z_NO_INDEX">_NO_INDEX</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#Z:Z_NODE_BLACK">_NODE_BLACK</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#Z:Z_NODE_RED">_NODE_RED</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/property/RootProperty.html#getName--">getName</a></span>()</code>
                                    <div class="block">Returns the fixed name "Root Entry", as the
                                        raw property doesn't have a real name set
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/poifs/property/RootProperty.html#setSize-int-">setSize</a></span>(int&nbsp;size)</code>
                                    <div class="block">set size</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.poifs.property.DirectoryProperty">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.poifs.property.<a
                                        href="../../../../../org/apache/poi/poifs/property/DirectoryProperty.html"
                                        title="class in org.apache.poi.poifs.property">DirectoryProperty</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/poifs/property/DirectoryProperty.html#addChild-org.apache.poi.poifs.property.Property-">addChild</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/DirectoryProperty.html#changeName-org.apache.poi.poifs.property.Property-java.lang.String-">changeName</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/DirectoryProperty.html#deleteChild-org.apache.poi.poifs.property.Property-">deleteChild</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/DirectoryProperty.html#getChildren--">getChildren</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/DirectoryProperty.html#isDirectory--">isDirectory</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/DirectoryProperty.html#iterator--">iterator</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/DirectoryProperty.html#preWrite--">preWrite</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.poifs.property.Property">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.poifs.property.<a
                                        href="../../../../../org/apache/poi/poifs/property/Property.html"
                                        title="class in org.apache.poi.poifs.property">Property</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/poifs/property/Property.html#getChildIndex--">getChildIndex</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#getIndex--">getIndex</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#getNextChild--">getNextChild</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#getPreviousChild--">getPreviousChild</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#getShortDescription--">getShortDescription</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#getSize--">getSize</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#getStartBlock--">getStartBlock</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#getStorageClsid--">getStorageClsid</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#getViewableArray--">getViewableArray</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#getViewableIterator--">getViewableIterator</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#isSmall-int-">isSmall</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#preferArray--">preferArray</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#setChildProperty-int-">setChildProperty</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#setIndex-int-">setIndex</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#setName-java.lang.String-">setName</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#setNextChild-org.apache.poi.poifs.property.Child-">setNextChild</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#setNodeColor-byte-">setNodeColor</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#setPreviousChild-org.apache.poi.poifs.property.Child-">setPreviousChild</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#setPropertyType-byte-">setPropertyType</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#setStartBlock-int-">setStartBlock</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#setStorageClsid-org.apache.poi.hpsf.ClassID-">setStorageClsid</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#shouldUseSmallBlocks--">shouldUseSmallBlocks</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Property.html#writeData-java.io.OutputStream-">writeData</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.poifs.property.Parent">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.poifs.property.<a
                                        href="../../../../../org/apache/poi/poifs/property/Parent.html"
                                        title="interface in org.apache.poi.poifs.property">Parent</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/poifs/property/Parent.html#setNextChild-org.apache.poi.poifs.property.Child-">setNextChild</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Parent.html#setPreviousChild-org.apache.poi.poifs.property.Child-">setPreviousChild</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.poifs.property.Child">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.poifs.property.<a
                                        href="../../../../../org/apache/poi/poifs/property/Child.html"
                                        title="interface in org.apache.poi.poifs.property">Child</a></h3>
                                <code><a href="../../../../../org/apache/poi/poifs/property/Child.html#getNextChild--">getNextChild</a>,
                                    <a href="../../../../../org/apache/poi/poifs/property/Child.html#getPreviousChild--">getPreviousChild</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="setSize-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSize</h4>
                                <pre>public&nbsp;void&nbsp;setSize(int&nbsp;size)</pre>
                                <div class="block">set size</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/property/Property.html#setSize-int-">setSize</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/property/Property.html"
                                                title="class in org.apache.poi.poifs.property">Property</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>size</code> - size in terms of small blocks</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getName--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
                                <div class="block">Returns the fixed name "Root Entry", as the
                                    raw property doesn't have a real name set
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/poifs/property/Property.html#getName--">getName</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/poifs/property/Property.html"
                                                title="class in org.apache.poi.poifs.property">Property</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>property name as String</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/RootProperty.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/poifs/property/PropertyTable.html"
               title="class in org.apache.poi.poifs.property"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/poifs/property/RootProperty.html" target="_top">Frames</a>
        </li>
        <li><a href="RootProperty.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>
                <a href="#nested.classes.inherited.from.class.org.apache.poi.poifs.property.DirectoryProperty">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.poifs.property.Property">Field</a>&nbsp;|&nbsp;
            </li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
